(function() {
	'use strict';

	angular.module('ipconfigure.orchid.directive').directive('fadeScrollArea', [fadeScrollArea]);

	function fadeScrollArea() {
		return function(scope, element, attributes) {
			var html = '<div style="height: {h}px; top: -{h}px; margin-bottom: -{h}px; background: linear-gradient(to top, white 2%, rgba(255, 255, 255, 0) 100%); position: relative;"></div>';

			element.css('padding-bottom', (parseInt(attributes.fadeScrollArea, 10) / 2) + 'px');
			element.after(html.replace(/\{h\}/g, attributes.fadeScrollArea));
		};
	}
}());
