(function() {
	'use strict';

	angular.module('ipconfigure.orchid.directive').directive('focusOn', [focusOn]);

	function focusOn() {
		return function(scope, element, attributes) {
			scope.$on('focusOn', function(e, name) {
				if (name === attributes.focusOn) {
					element[0].focus();

					if (attributes.focusOnSelectAll) {
						element[0].select();
					}
				}
			});
		};
	}
}());
