(function() {
	'use strict';

	angular.module('ipconfigure.orchid').controller('AdminSystemReportLogExportCtrl', ['$scope', AdminSystemReportLogExportCtrl]);

	function AdminSystemReportLogExportCtrl($scope) {
		var thisMorning = new Date(),
			tonight = new Date();

		thisMorning.setHours(0);
		thisMorning.setMinutes(0);
		thisMorning.setSeconds(0);
		thisMorning.setMilliseconds(0);

		tonight.setHours(23);
		tonight.setMinutes(59);
		tonight.setSeconds(0);
		tonight.setMilliseconds(0);

		$scope.from = thisMorning;
		$scope.to = tonight;

		$scope.format = 'gzip';
		$scope.range = false;

		$scope.exportLogs = function() {
			var qs = '';

			if ($scope.from > $scope.to) {
				alert('from cannot be > to');
			}
			else {
				if ($scope.range === true) {
					qs = '&from=' + $scope.from.getTime() + '&to=' + $scope.to.getTime();
				}

				window.open('/service/log?format=' + $scope.format + qs);
			}
		};
	}
}());
