(function() {
	'use strict';

	angular.module('ipconfigure.orchid').controller('AdminVersionCtrl', ['$http', '$sce', '$scope', AdminVersionCtrl]);

	function AdminVersionCtrl($http, $sce, $scope) {
		$scope.year = new Date().getFullYear();

		$http.get('/ChangeLog')
			.success(function(response) {
				$scope.changeLog = $sce.trustAsHtml(response.replace(/\n/mg, '\n<br>'));
			})
			.error(function() {
				$scope.changeLog = 'Unable to load change log.';
			});

		$http.get('/orchid-setup-license.txt')
			.success(function(response) {
				$scope.eula = $sce.trustAsHtml(response.replace(/\n/mg, '\n<br>'));
			})
			.error(function() {
				$scope.changeLog = 'Unable to load EULA.';
			});
	}
}());
