(function() {
	'use strict';

	angular.module('ipconfigure.orchid.directive').directive('ngStyle2', [ngStyle2]);

	// this exists because of this: https://github.com/angular/angular.js/issues/12324

	function ngStyle2() {
		return function(scope, element, attr) {
			// only supports objects for now, sorry
			scope.$watch(attr.ngStyle2, function(obj) {
				var key;

				for (key in obj) {
					if (obj.hasOwnProperty(key) === true) {
						element[0].style[key] = obj[key];
					}
				}
			});
		};
	}
}());
